火車撞鳥 发表于 2019-1-20 15:12:23

[用于Minecraft 1.13.2的强制疾跑] ToggleSprintingMod


因为Minecraft 1.13.2的Forge稳定版本发布遥遥无期,为了满足我用Minecraft 1.13.2的打PVP的愿望{:滑稽S:},特地写了一个原版模组(真自闭)

如果发现模组有bug,请提交至GitHub Issues。

安装方法
一、基于Rift
1.安装 Rift :https://github.com/DimensionalDevelopment/Rift
2.下载 RiftTweakLoader 并放入 .minecraft\mods 文件夹
3.把 ToggleSprintingMod 放入 .minecraft\mods 文件夹
4.选择带有Rift的版本并启动游戏

二、基于原版
1.在 .minecraft\versions 文件夹下新建一个名为 1.13.2-ToggleSprinting-1.0-RC2 的文件夹
2.在 .minecraft\versions\1.13.2-ToggleSprinting-1.0-RC2 文件夹中新建一个名为 1.13.2-ToggleSprinting-1.0-RC2.json 的文件
3.在 1.13.2-ToggleSprinting-1.0-RC2.json 中写入以下内容:
{
    "id": "1.13.2-ToggleSprinting-1.0-RC2",
    "inheritsFrom": "1.13.2",
    "time": "1970-01-01T00:00:00+08:00",
    "releaseTime": "1970-01-01T00:00:00+08:00",
    "type": "release",
    "arguments": {
      "game": [
            "--tweakClass",
            "io.github.zekerzhayard.togglesprint.asm.ClassTweaker"
      ]
    },
    "mainClass": "net.minecraft.launchwrapper.Launch",
    "libraries": [
      {
            "name": "org.ow2.asm:asm:6.2",
            "url": "http://repo1.maven.org/maven2/"
      },
      {
            "name": "org.ow2.asm:asm-commons:6.2",
            "url": "http://repo1.maven.org/maven2/"
      },
      {
            "name": "org.ow2.asm:asm-tree:6.2",
            "url": "http://repo1.maven.org/maven2/"
      },
      {
            "name": "net.minecraft:launchwrapper:1.12",
            "url": "https://libraries.minecraft.net/"
      },
      {
            "name": "togglesprinting:ToggleSprintingMod_MC1.13.2:1.0-RC2"
      }
    ]
}
4.在 .minecraft\libraries 文件夹中新建以下路径
togglesprinting\ToggleSprintingMod_MC1.13.2\1.0-RC2
5.下载 ToggleSprintingMod ,并重命名为 ToggleSprintingMod_MC1.13.2-1.0-RC2.jar
6.把 ToggleSprintingMod_MC1.13.2-1.0-RC2.jar 放入 .minecraft\libraries、togglesprinting\ToggleSprintingMod_MC1.13.2\1.0-RC2 文件夹中
7.选择带有 1.13.2-ToggleSprintingMod-1.0-RC2 的版本并启动游戏

模组设置
位于游戏中的 「选项 -- 控制 -- ToggleSprinting Settings」 中

相关截图


下载

MC的佩恩 发表于 2019-2-23 00:50:46

我 还 是 看 不 懂 啊

混凝土粉末 发表于 2019-3-1 21:49:30

支持下

1313kkk 发表于 2019-8-14 22:04:58

大爱

悲风2006 发表于 2019-8-30 16:30:40

有没有1.8的

橹冲 发表于 2019-9-3 15:42:58

很不错的疾跑
默默问下 1.9 1.12 版本支持嘛;w;
页: [1]
查看完整版本: [用于Minecraft 1.13.2的强制疾跑] ToggleSprintingMod